- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIPMC_Profile Class Reference

This class defines the protocol specific attributes required for locating ORBs over a TCP/IP network. More...

`#include <UIPMC_Profile.h>`

Inheritance diagram for TAO_UIPMC_Profile:

[legend]
Collaboration diagram for TAO_UIPMC_Profile:

[legend]
List of all members.

## Public Member Functions
virtual char | object_key_delimiter (void) const
| TAO_UIPMC_Profile (TAO_ORB_Core *orb_core)
| TAO_UIPMC_Profile (const ACE_INET_Addr &addr, TAO_ORB_Core *orb_core)
| TAO_UIPMC_Profile (const CORBA::Octet class_d_address[4], CORBA::UShort port, TAO_ORB_Core *orb_core)
| Profile constructor.
| TAO_UIPMC_Profile (const char *string, TAO_ORB_Core *orb_core)
| Create object using a string ior.
| ~TAO_UIPMC_Profile (void)
| Destructor is to be called only through <_decr_refcnt>.
virtual int | decode (TAO_InputCDR &cdr)
| Template methods. Please see tao/Profile.h for documentation.
virtual void | parse_string (const char *string)
virtual char * | to_string ()
virtual int | encode_endpoints (void)
virtual TAO_Endpoint * | endpoint (void)
virtual CORBA::ULong | endpoint_count (void) const
virtual CORBA::ULong | hash (CORBA::ULong max)
virtual IOP::TaggedProfile & | create_tagged_profile (void)
virtual void | request_target_specifier (TAO_Target_Specification &target_spec, TAO_Target_Specification::TAO_Target_Address r)
virtual int | supports_multicast (void) const
virtual void | addressing_mode (CORBA::Short addr_mode)
void | set_group_info (const char *domain_id, PortableGroup::ObjectGroupId group_id, PortableGroup::ObjectGroupRefVersion ref_version)
| Add the mandatory group component to this profile.
## Static Public Member Functions
static const char * | prefix (void)
| Return the char string prefix.
static int | extract_group_component (const IOP::TaggedProfile &profile, PortableGroup::TagGroupTaggedComponent &group)
## Static Public Attributes
static const char | object_key_delimiter_ = '/'
| The object key delimiter that UIPMC uses or expects.
## Protected Member Functions
virtual int | decode_profile (TAO_InputCDR &cdr)
| Template methods, please see documentation in tao/Profile.h.
virtual int | decode_endpoints (void)
virtual void | parse_string_i (const char *)
virtual void | create_profile_body (TAO_OutputCDR &cdr) const
virtual CORBA::Boolean | do_is_equivalent (const TAO_Profile *other_profile)
virtual void | update_cached_group_component (void)
## Protected Attributes
TAO_UIPMC_Endpoint | endpoint_
CORBA::ULong | count_
| Number of endpoints in the list headed by <endpoint_>.
## Private Attributes
IOP::TaggedProfile | tagged_profile_
| Cached version of our tagged profile.
ACE_CString | group_domain_id_
| Group Domain ID.
PortableGroup::ObjectGroupId | group_id_
| Our group ID within the group domain.
PortableGroup::ObjectGroupRefVersion | ref_version_
| The group reference's version.

## Detailed Description

This class defines the protocol specific attributes required for locating ORBs over a TCP/IP network.

This class defines the UIPMC profile as specified in the CORBA specification.

Note:
  : This class inherits the ObjectKey from TAO_Profile which may not be needed at all! But lets punt on this for the timebeing.

## Constructor & Destructor Documentation

TAO_UIPMC_Profile::TAO_UIPMC_Profile | ( | TAO_ORB_Core * | orb_core | ) |

Profile constructor, default. Used when the profile contents are not yet known or when it is being decoded from an IOR.

TAO_UIPMC_Profile::TAO_UIPMC_Profile | ( | const ACE_INET_Addr & | addr,
|  | TAO_ORB_Core * | orb_core |
| ) |  |  |

Profile constructor, same as above except the object_key has already been marshaled.

TAO_UIPMC_Profile::TAO_UIPMC_Profile | ( | const CORBA::Octet | class_d_address[4],
|  | CORBA::UShort | port,
|  | TAO_ORB_Core * | orb_core |
| ) |  |  |

Profile constructor.

TAO_UIPMC_Profile::TAO_UIPMC_Profile | ( | const char * | string,
|  | TAO_ORB_Core * | orb_core |
| ) |  |  |

Create object using a string ior.

TAO_UIPMC_Profile::~TAO_UIPMC_Profile | ( | void |  | ) |

Destructor is to be called only through <_decr_refcnt>.

## Member Function Documentation

void TAO_UIPMC_Profile::addressing_mode | ( | CORBA::Short | addr_mode | ) | `[virtual]`

Reimplemented from TAO_Profile.

void TAO_UIPMC_Profile::create_profile_body | ( | TAO_OutputCDR & | cdr | ) | const`[protected, virtual]`

Implements TAO_Profile.

IOP::TaggedProfile & TAO_UIPMC_Profile::create_tagged_profile | ( | void |  | ) | `[virtual]`

Reimplemented from TAO_Profile.

int TAO_UIPMC_Profile::decode | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

Template methods. Please see tao/Profile.h for documentation.

N.B. We have to override the TAO_Profile default decode because in UIPMC there is no object key marshalled and we do not implement a useable decode_endpoints

Reimplemented from TAO_Profile.

int TAO_UIPMC_Profile::decode_endpoints | ( | void |  | ) | `[protected, virtual]`

Implements TAO_Profile.

int TAO_UIPMC_Profile::decode_profile | ( | TAO_InputCDR & | cdr | ) | `[protected, virtual]`

Template methods, please see documentation in tao/Profile.h.

Implements TAO_Profile.

CORBA::Boolean TAO_UIPMC_Profile::do_is_equivalent | ( | const TAO_Profile * | other_profile | ) | `[protected, virtual]`

Implements TAO_Profile.

int TAO_UIPMC_Profile::encode_endpoints | ( | void |  | ) | `[virtual]`

Implements TAO_Profile.

TAO_Endpoint * TAO_UIPMC_Profile::endpoint | ( | void |  | ) | `[virtual]`

Implements TAO_Profile.

CORBA::ULong TAO_UIPMC_Profile::endpoint_count | ( | void |  | ) | const`[virtual]`

Implements TAO_Profile.

int TAO_UIPMC_Profile::extract_group_component | ( | const IOP::TaggedProfile & | profile,
|  | PortableGroup::TagGroupTaggedComponent & | group |
| ) |  |  | `[static]`

CORBA::ULong TAO_UIPMC_Profile::hash | ( | CORBA::ULong | max | ) | `[virtual]`

Implements TAO_Profile.

char TAO_UIPMC_Profile::object_key_delimiter | ( | void |  | ) | const`[virtual]`

Implements TAO_Profile.

void TAO_UIPMC_Profile::parse_string | ( | const char * | string | ) | `[virtual]`

Reimplemented from TAO_Profile.

void TAO_UIPMC_Profile::parse_string_i | ( | const char * |  | ) | `[protected, virtual]`

Implements TAO_Profile.

const char * TAO_UIPMC_Profile::prefix | ( | void |  | ) | `[static]`

Return the char string prefix.

void TAO_UIPMC_Profile::request_target_specifier | ( | TAO_Target_Specification & | target_spec,
|  | TAO_Target_Specification::TAO_Target_Address | r |
| ) |  |  | `[virtual]`

void TAO_UIPMC_Profile::set_group_info | ( | const char * | domain_id,
|  | PortableGroup::ObjectGroupId | group_id,
|  | PortableGroup::ObjectGroupRefVersion | ref_version |
| ) |  |  |

Add the mandatory group component to this profile.

int TAO_UIPMC_Profile::supports_multicast | ( | void |  | ) | const`[virtual]`

Reimplemented from TAO_Profile.

char * TAO_UIPMC_Profile::to_string | ( |  | ) | `[virtual]`

Implements TAO_Profile.

void TAO_UIPMC_Profile::update_cached_group_component | ( | void |  | ) | `[protected, virtual]`

## Member Data Documentation

CORBA::ULong TAO_UIPMC_Profile::count_`[protected]`

Number of endpoints in the list headed by <endpoint_>.

TAO_UIPMC_Endpoint TAO_UIPMC_Profile::endpoint_`[protected]`

Head of this profile's list of endpoints. This endpoint is not dynamically allocated because a profile always contains at least one endpoint.

Currently, a profile contains more than one endpoint, i.e., list contains more than just the head, only when RTCORBA is enabled. However, in the near future, this will be used in nonRT mode as well, e.g., to support TAG_ALTERNATE_IIOP_ADDRESS feature. Addressing info of the default endpoint, i.e., head of the list, is transmitted using standard UIPMC ProfileBody components. See <encode_endpoints> method documentation above for how the rest of the endpoint list is transmitted.

ACE_CString TAO_UIPMC_Profile::group_domain_id_`[private]`

Group Domain ID.

PortableGroup::ObjectGroupId TAO_UIPMC_Profile::group_id_`[private]`

Our group ID within the group domain.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL const char TAO_UIPMC_Profile::object_key_delimiter_ = '/'`[static]`

The object key delimiter that UIPMC uses or expects.

PortableGroup::ObjectGroupRefVersion TAO_UIPMC_Profile::ref_version_`[private]`

The group reference's version.

IOP::TaggedProfile TAO_UIPMC_Profile::tagged_profile_`[private]`

Cached version of our tagged profile.

Reimplemented from TAO_Profile.

The documentation for this class was generated from the following files:

- UIPMC_Profile.h
- UIPMC_Profile.cpp